Bug 198311 - Fonts display of Multi-byte language support broken after upgrade
Fonts display of Multi-byte language support broken after upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-i18n (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 20:43 EDT by Jeff Zheng
Modified: 2008-05-06 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Zheng 2006-07-10 20:43:34 EDT
Description of problem:
The fonts display of multi-byte language is borken, after I upgrade my fedora
core 5 installation today.

The default of may env is set ot LANG=en_US.UTF-8
Now when using a enlish only fonts, chinese charactars is diplayed as a empty
square under kde. I have to set the system fonts to a chinese fonts to get the
charactars displayed correctly. Before it was all working.

gnome is all ok. It is a problem of kde, including kde-apps running under gnome.




Version-Release number of selected component (if applicable):


How reproducible:
Upgrade fedora core 5.

Steps to Reproduce:
1. Use kcontrol to set kde fonts to a english only fonts.
2. 
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2006-07-11 04:22:30 EDT
It seems you did not install the kde-i18n-Chinese and kde-i18n-Chinese-Big5 
packages. Both packages are needed to get the charactars displayed correctly. 
You don't need to set the system fonts to a chinese fonts. Please make sure 
that the fonts-chinese package should be installed.
Comment 2 Jeff Zheng 2006-07-11 07:53:13 EDT
(In reply to comment #1)
> It seems you did not install the kde-i18n-Chinese and kde-i18n-Chinese-Big5 
> packages. Both packages are needed to get the charactars displayed correctly. 
> You don't need to set the system fonts to a chinese fonts. Please make sure 
> that the fonts-chinese package should be installed.
> 
I'm pretty sure I installed both i18n packages. It worked for me before the
upgrade. But after yum upgrade today, it is broken.
Comment 3 Jeff Zheng 2006-07-11 20:18:10 EDT
I tried reinstall i18n packages today, still having the problem.
Comment 4 Ngo Than 2006-07-12 09:56:08 EDT
strange, it works without any problem here. i have tried with kbabel. It 
displays the chinese charactars correctly. It sounds a problem in your 
setting.

Could you please try with a new user (default seeting from FC) and looks if 
the problem still appears? Thanks

it would be great if you could attach the output of:
  rpm -qa | grep fonts
  rpm -qa | grep kde

thanks
Comment 5 Jeff Zheng 2006-07-12 18:43:28 EDT
It doesn't work with the new user, same problem. I tried with konsole, it works
with the monospace fonts, but all other fonts doesn't work, just showing up a
big square. 

Actually I have another machine in my home, which is working fine. But I only
upgrade part of packages not all of them on that machine. Now I am a afraid of
upgrading them all :). 

Below is the grep result.
rpm -qa | grep fonts
fonts-chinese-3.02-4.1
xorg-x11-fonts-Type1-7.0-3
mplayer-fonts-1.1-3.fc
ghostscript-fonts-5.50-13.1
urw-fonts-2.3-6.1
xorg-x11-fonts-misc-7.0-3
xorg-x11-fonts-ISO8859-1-100dpi-7.0-3
fonts-korean-1.0.11-9.1
tetex-fonts-3.0-20.FC5
msttcorefonts-2.0-1
bitstream-vera-fonts-1.10-5.1
xorg-x11-fonts-base-7.0-3
xorg-x11-fonts-truetype-7.0-3
bitmap-fonts-0.3-5.1
xorg-x11-fonts-100dpi-7.0-3
xorg-x11-fonts-ISO8859-1-75dpi-7.0-3
xorg-x11-fonts-75dpi-7.0-3
 rpm -qa | grep kde
kdegraphics-3.5.3-0.2.fc5
kdeaccessibility-3.5.3-0.1.fc5
kde-i18n-Korean-3.5.3-0.1.fc5
lockdev-devel-1.0.1-9.2.1
kdepim-devel-3.5.3-0.2.fc5
kdebase-3.5.3-0.3.fc5
kdesdk-3.5.3-0.1.fc5
kde-i18n-Japanese-3.5.3-0.1.fc5
kdebindings-3.5.3-0.1.fc5
kdeutils-devel-3.5.3-0.2.fc5
kdesvn-0.8.4-1.fc5
kdenetwork-3.5.3-0.1.fc5
lockdev-1.0.1-9.2.1
kdemultimedia-3.5.3-0.1.fc5
kdeartwork-3.5.3-0.1.fc5
kdeaddons-3.5.3-0.1.fc5
kdelibs-devel-3.5.3-0.2.fc5
kdelibs-apidocs-3.5.3-0.2.fc5
kdebase-devel-3.5.3-0.3.fc5
kdeutils-3.5.3-0.2.fc5
kdenetwork-devel-3.5.3-0.1.fc5
kdepim-3.5.3-0.2.fc5
kdelibs-3.5.3-0.2.fc5
kdevelop-3.3.3-0.1.fc5
kde-i18n-Chinese-3.5.3-0.1.fc5
kdegraphics-devel-3.5.3-0.2.fc5
kde-i18n-Chinese-Big5-3.5.3-0.1.fc5
Comment 6 Bug Zapper 2008-04-03 23:16:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:06:23 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.